Subject: Re: linux-next: build failure after merge of the bpf-next tree

From: Thierry Reding <[email-masked]>
Date: Mon, 27 Apr 2026 15:34:11 +0200

On Mon, Apr 27, 2026 at 03:26:01PM +0200, Thierry Reding wrote:
> Hi all,
> 
> After merging the bpf-next tree, today's linux-next build (x86_64_perf)
> failed like this:
> 
>       CC      builtin-trace.o
>     builtin-trace.c: In function ‘syscall_arg__strtoul_btf_enum’:
>     builtin-trace.c:972:27: error: comparison of integer expressions of different signedness: ‘int’ and ‘__u32’ {aka ‘unsigned int’} [-Werror=sign-compare]
>       972 |         for (int i = 0; i < btf_vlen(bt); ++i, ++be) {
>           |                           ^
>       CC      util/btf.o
>     util/btf.c: In function ‘__btf_type__find_member_by_name’:
>     util/btf.c:19:43: error: comparison of integer expressions of different signedness: ‘int’ and ‘__u32’ {aka ‘unsigned int’} [-Werror=sign-compare]
>        19 |         for (i = 0, m = btf_members(t); i < btf_vlen(t); i++, m++) {
>           |                                           ^
> 
> Caused by commit
> 
>     f7a6b9eaff3e ("bpf: Extend BTF UAPI vlen, kinds to use unused bits")
> 
> I've fixed it up like below, but please fix this in your tree as well.

Given that I later saw that the build broke due to the other change and
I had to use the old bpf-next tree, this fixup is no longer in the tree
but it should still be fixed so that bpf-next can be merged into linux-
next again soon.

Thierry